================================================================================
       Intel(R) Xeon(R) Processor-Based Server BIOS Development
================================================================================

INTEL Enterprise Products and Services Division
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

================================================================================

DATE    : March 06, 2013
TO      : Intel(R) Xeon(R) Processor-Based Server Platform customers
SUBJECT : Manageability Engine Release notes for version SPS_02.01.07.328

================================================================================
                           LEGAL INFORMATION
================================================================================

Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation 
may have patents or pending patent applications, trademarks, copyrights, or
other intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any such
patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (C) 2014 Intel Corporation.

================================================================================
                              ABOUT THIS RELEASE
================================================================================
Build Stamp : ME Firmware             --> 02.01.07.328
              ME Recovery Boot Loader --> 02.01.07.328
Build Date  : March 06, 2013

================================================================================
                           Supported Platforms
================================================================================
        S2400BB Black Bear Pass
        S2600CP	Canoe Pass
        S2600CO Copper Pass	
        W2600CR Crown Pass
        S2400EP Eagle Pass	
        S2400GP	Granite Pass		
        S2600GL Grizzly Pass 16 
        S2600GZ Grizzly Pass 24 	
        S2600IP	Iron Pass			
        S2600JF Jefferson Pass		
        S2400LP	Lincoln Pass
        S2600KI King Island  --> Silicon Enabling only
        S2400SC	SwitchCurrent Pass
        S2600WP Washington Pass
        S4600LH Lizard Head Pass
        S1400FP Freemont Pass
        S1600JP JacksonPass
        S1400SP SalmonPass
                
================================================================================
                        ME RECOVERY INSTRUCTIONS
================================================================================
The Recovery process can be initiated by setting the recovery jumper (called ME
FRC UPDT Jumper)

The following steps demonstrate this recovery process:
   1.  Power OFF the system.
   2.  Switch the ME FRC UPDT jumper. Details regarding the jumper ID and
       location can be obtained from the Board EPS for that Platform.
   4.  Power ON the system.
   5.  Enter Setup and verify Error manager displays 83A0 error code
   6.  Boot to EfiShell and update ME if necessary
   7.  AC OFF the system, and revert the ME FRC UPDT jumper position to
       "normal operation".
   8.  Power ON the system.
   9.  Enter setup and verify Error Manager does not display 83A0 error code

Note 1 : ME will continuously monitor recovery jumper. Whenever ME FRC UPDT
         asserted ME will immediately switch to recovery mode.  AC Power cycle is must
         after de-asserting ME FRC UPDT jumper for ME to functional normally.
Note 2 : When MC FRC UPDT jumper is asserted with AC OFF, ME will restore to factory
         default settings 


================================================================================
				ME FW Capsule INSTALLATION NOTES
================================================================================
WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

!!!!! AC failure during update may cause damage to your system and be unrecoverable !!!!!

!!!!! If your current BIOS revision is less than x38, then you must update ME  !!!!!
         1. Use a flash programmer and update x38 ROM image  OR
         2. Update x38 BIOS using a SuperCapsule
!!!!! Failing to follow the above procedure will switch ME into recovery mode  !!!!!    

!!!!! To upgrade to ME revision 02.01.05.062 user must update MEComplete_02_01_05_062.cap 

Please follow the below procedure to update ME using UEFI iFlash32 11.0 Build 6
   1.  Boot the system to EFI Shell
   2.  Download ME release package
   3.  Unzip the ME release package to HD or USB Flash Drive
   3.  Map the respective storage device in system with the command
           Shell> map -r
   4.  Change the Shell to mapped device file system
           Example: Shell> fs0: (or fs1:)
   5.  Run the IFlash32 utility on the prompt.
       Use ME_xx_xx_xx_xxx.cap file when ME operational Image update is required.
       Use MEComplete_xx_xx_xx_xxx.cap file when Only whole ME Image update is required.
           fs0:\> IFlash32 [File Name] /u /ni
   6.  Reboot system after the update is completed.

================================================================================
			KNOWN ISSUES in 02.01.05.043 release
================================================================================

CCG0100164685 : On simulated memory throttling PECI register it was observed that Memory Throttling Statistics sensor reading value is update too late. Based on 250 ms sensor scanning interval sensor value should be updated after 6 seconds, actually it was updated later, up to 15 seconds.
CCG0100165265 : Too few steps in the ramp generated by SMART & CLST.
CCG0100217496 : No monitoring capability is reported in NM Capabilities sensor if temperature reading source is set to OEM command.
CCG0100218236 : PECI error is not reported for Send Raw PECI commands.
CCG0100218318 : NM Capabilities event is not sent after disabling then re-enabling scanning on its sensor.
CCG0100219598 : ME Power State Change notification is not sent after Set ME Power State command (M3 -> MOff).
CCG0100225163 : Very long, few minutes, wake up from S4 was observed on Rose City platform. ME configured in S0 Only power mode.
CCG0100225573 : Unstable limiting and Correction Time Exceeded event was sometimes observed for memory domain (id 2).
CCG0100235658 : In a system with more than 2 PSU the PSU discovery procedure is done every 3 seconds while it should be done every 10 seconds. Too much traffic is observed on PMBus.
CCG0100239726 : Sporadically, after about 50 iterations of warm reset flows with ME configured for Always On power mode BIOS hangs just after it sends End of POST notification to ME. ME remains operational.
CCG0100239759 : PSU Proxy setting does not affect Send Raw PMBus commands. It was supposed to disable these commands.
CCG0100239855 : Sporadically, once for about 6000 warm resets BIOS hangs in an assertion.
CCG0100239885 : Throttling statistics in domain 0 and 1 are equal to 0, when power policy is active in domain 0.
CCG0100247538 : There is no ME Health Event when writing to flash is enabled after previous flash wear-out.
CCG0100248744 : SPS firmware does not respond with error to duplicated Set Reset Mode requests.
CCG0100249206 : About 20% over limiting was observed on Potter City with JKT C0, PBG C0.
CCG0100249310 : Few percent power limit oscillations were observed when limiting in memory domain.
CCG0100249595 : Power limit oscillations were observed after adding 7 NM power limiting polices.
CCG0100249636 : P-state limit lock was observed two times in longevity tests of power limiting enable (policy create) and disable (policy destroy) cycles.
CCG0100250214 : If power threshold is defined in several NM polices and the power consumption exceeds the threshold the NM Alert Threshold Exceeded message is sent only for the first policy, not for all polices.

================================================================================
			Issues fixed in 02.01.05.043 release
================================================================================
CCG0100109821 : Timestamps of NM Health & Operational Capabilities events are wrong.
CCG0100132985 : Reading/state unavailable bit is wrong for CPU Thermal Status Sensor in Get Sensor Reading command.
CCG0100164004 : NM Capabilities Change alert is not sent when Host Communication Failure is detected on HECI-2.
CCG0100220998 : Update ROM does not work on production chipsets with authentication enabled.
CCG0100224942 : Wake on LAN stress causes instability of ME. After 84 iterations it was observed that neither host nor ME worked correct. Host was blocked in S4, neither magic packet nor power button is able to wake it up. ME unstable probably restarting continuously.
CCG0100229263 : SMART & CLST - No steps are generated in case of OT / OC warnings, one step in case of UV is generated.
CCG0100229318 : Power limiting is unstable when host load in generated using memory load not CPU.
CCG0100235005 : Enabling Aggressive CPU Power Correction parameter in the Set Node Manager Policy IPMI command does not bring any gain in power capping in comparison to non-aggressive policy
CCG0100238787 : Sporadically strange error C4h was observed when defining boot time policy.
CCG0100239055 : Boot time policy cannot be defined in factory default settings. The policy requires correction time set to zero and FIT does not accept such value.
CCG0100239117 : Node Manager event Alert Threshold Exceeded is sent later than expected. With correction time 6 seconds it was received after 13 seconds.
CCG0100239708 : Direct Firmware Update may fail if started after ME was reset with Cold Reset IPMI command. ME may refuse nonce word
CCG0100240026 : SMART & CLST - unnecessary SMB alert mask is send after second UV fault.
CCG0100240028 : SMART & CLST does not check Status_Input Unit Off For Low Input Voltage bit after SMB Alert.
CCG0100239961 : SMART & CLST does not send SMBAlert masks after detecting PSU.
CCG0100239947 : Power limiting fluctuations above 5% of power limit were observed on Harbor City platform.
CCG0100244369 : Direct Firmware Update cannot be started after global platform reset.
CCG0100249226 : PMBus paging does not work correctly. Page setting should be kept per PMBus device while it is set per whole system.

================================================================================
                Features Added/Removed in 02.01.05.043 release
================================================================================
The following list describes the new/changed functionality added in this SPS release 
in comparison to the former ME release:

1. In this release ME requires the final configuration of flash regions access rights 
   in the Flash Descriptor Master Access Section as described in SPS Integration Guide. 
   E.g. CPU/BIOS master must not have read or write access to ME Region and no write access 
   to the Flash Descriptor region, otherwise ME firmware will stay in recovery mode. 
2. New ME option “Flash Descriptor Access Check Enabled?was added to ME Region tab in FITc. 
   It is possible to keep write access to Flash Descriptor granted for BIOS/CPU flash master 
   if you set the new ME option to „false?. If this option is „false? BIOS is responsible for protecting 
   Flash Descriptor region using PRx registers as described in the SPS Integration Guide. FIT prints 
   appropriate warning message if this option is set to false.
3. New ME recovery firmware version SPS_02.01.05.043.0 is provided
4. Support for Jaketown reset workaround has been added to ME recovery firmware
5. ME recovery firmware responds to HECI request Get ME-BIOS Interface Version. 
   Note that features list in the response from recovery firmware is always empty.

================================================================================
			KNOWN ISSUES in 02.01.05.050 release
================================================================================
CCG0100164685 : On simulated memory throttling PECI register it was observed that Memory Throttling Statistics sensor reading value is update too late. Based on 250 ms sensor scanning interval sensor value should be updated after 6 seconds, actually it was updated later, up to 15 seconds.
CCG0100165265 : Too few steps in the ramp generated by SMART & CLST.
CCG0100217496 : No monitoring capability is reported in NM Capabilities sensor if temperature reading source is set to OEM command.
CCG0100218236 : PEC error is not reported for Send Raw PMBus commands of write/read word and block write/read type.
CCG0100218318 : NM Capabilities event is not sent after disabling then re-enabling scanning on its sensor.
CCG0100219598 : ME Power State Change notification is not sent after Set ME Power State command (M3 -> MOff).
CCG0100225163 : Very long, few minutes, wake up from S4 was observed on Rose City platform. ME configured in S0 Only power mode.
CCG0100225573 : Unstable limiting and Correction Time Exceeded event was sometimes observed for memory domain (id 2).
CCG0100235658 : In a system with more than 2 PSU the PSU discovery procedure is done every 3 seconds while it should be done every 10 seconds. Too much traffic is observed on PMBus.
CCG0100239726 : Sporadically, after about 50 iterations of warm reset flows with ME configured for Always On power mode BIOS hangs just after it sends End of POST notification to ME. ME remains operational.
CCG0100239759 : PSU Proxy setting does not affect Send Raw PMBus commands. It was supposed to disable these commands.
CCG0100239855 : Sporadically, once for about 6000 warm resets BIOS hangs in an assertion.
CCG0100239885 : Throttling statistics in domain 0 and 1 are equal to 0, when power policy is active in domain 0.
CCG0100247538 : There is no ME Health Event when writing to flash is enabled after previous flash wear-out.
CCG0100249206 : About 20% over limiting was observed on Potter City with JKT C0, PBG C0.
CCG0100249310 : Few percent power limit oscillations were observed when limiting in memory domain.
CCG0100249595 : Power limit oscillations were observed after adding 7 NM power limiting polices.
CCG0100249636 : P-state limit lock was observed two times in longevity tests of power limiting enable (policy create) and disable (policy destroy) cycles.
CCG0100250214 : If power threshold is defined in several NM polices and the power consumption exceeds the threshold the NM Alert Threshold Exceeded message is sent only for the first policy, not for all polices.
CCG0100263536 : Memory power consumption oscillations were observed when limiting is active in processor and memory domains in parallel.
CCG0100263916 : IPMI interface lock was observed under stress test of a mix of correct (Get Device Id) and corrupted frames. The lock was observed only when prior to sending the stress traffic ME is set to recovery mode using Force ME Recovery command than back to operational using Cold Reset. The lock was not observed without forcing recovery mode before the test.

================================================================================
			Issues fixed in 02.01.05.050 release
================================================================================
CCG0100247726 : MESDC: Comp. Tests - ME FW boot cause does not indicate wake from S5/S4 after platform transition to S0 state.
CCG0100248744 : SPS firmware does not respond with error to duplicated Set Reset Mode requests
CCG0100249226 : PMBus page command sends page for all PSU, not just the one where it was set.
CCG0100253447 : Additional global reset after short de-asserting SYS_PWROK in recovery mode.
CCG0100259416 : ME Health events may appear in SEL during BIOS update when ME is handling requests that require flash access.

================================================================================
                Features Added/Removed in 02.01.05.050 release
================================================================================
The following list describes the new/changed functionality added in this ME release 
in comparison to the former ME release:

1. Since this release Node Manager does not repeat NM Exception Event every correction 
   time when power consumption stays above NM policy power limit. The event is sent 
   again only when power consumption drops down below the NM policy limit for a while.
2. Since this release ME notion of End-of-POST status is shown in ME Firmware Status register.

================================================================================
			KNOWN ISSUES in 02.01.05.062 release
================================================================================
CCG0100164685 : On simulated memory throttling PECI register it was observed that Memory Throttling Statistics sensor reading value is update too late. Based on 250 ms sensor scanning interval sensor value should be updated after 6 seconds, actually it was updated later, up to 15 seconds.
CCG0100165265 : Too few steps in the ramp generated by SMART & CLST.
CCG0100217496 : No monitoring capability is reported in NM Capabilities sensor if temperature reading source is set to OEM command
CCG0100218236 : PEC error is not reported for Send Raw PMBus commands of write/read word and block write/read type.
CCG0100218318 : NM Capabilities event is not sent after disabling then re-enabling scanning on its sensor.
CCG0100219598 : ME Power State Change notification is not sent after Set ME Power State command (M3 -> MOff).
CCG0100225163 : Very long, few minutes, wake up from S4 was observed on Rose City platform. ME configured in S0 Only power mode.
CCG0100225573 : Unstable limiting and Correction Time Exceeded event was sometimes observed for memory domain (id 2).
CCG0100235658 : In a system with more than 2 PSU the PSU discovery procedure is done every 3 seconds while it should be done every 10 seconds. Too much traffic is observed on PMBus.
CCG0100239726 : Sporadically, after about 50 iterations of warm reset flows with ME configured for Always On power mode BIOS hangs just after it sends End of POST notification to ME. ME remains operational.
CCG0100239759 : PSU Proxy setting does not affect Send Raw PMBus commands. It was supposed to disable these commands.
CCG0100239855 : Sporadically, once for about 6000 warm resets BIOS hangs in an assertion.
CCG0100239885 : Throttling statistics in domain 0 and 1 are equal to 0, when power policy is active in domain 0.
CCG0100247538 : There is no ME Health Event when writing to flash is enabled after previous flash wear-out.
CCG0100249310 : Few percent power limit oscillations were observed when limiting in memory domain.
CCG0100249595 : Power limit oscillations were observed after adding 7 NM power limiting polices.
CCG0100249636 : P-state limit lock was observed two times in longevity tests of power limiting enable (policy create) and disable (policy destroy) cycles.
CCG0100250214 : If power threshold is defined in several NM polices and the power consumption exceeds the threshold the NM Alert Threshold Exceeded message is sent only for the first policy, not for all polices.

================================================================================
			Issues fixed in 02.01.05.062 release
================================================================================
CCG0100249206 : About 20% over limiting was observed on Potter City with JKT C0, PBG C0.
CCG0100261304 : The Get NM Statistics command called for policy may incorrectly report active limiting by the policy, while there is no limiting because current power consumption is below policy limit.
CCG0100263536 : Memory power consumption oscillations were observed when limiting is active in processor and memory domains in parallel.
CCG0100263916 : IPMI interface lock was observed under stress test of a mix of correct (Get Device Id) and corrupted frames. The lock was observed only when prior to sending the stress traffic ME is set to recovery mode using Force ME Recovery command and then back to operational using Cold Reset. The lock was not observed without forcing recovery mode before the test.
CCG0100263958 : After host reboot during NM active limiting the BIOS POST may run with decreased processor frequency.
CCG0100264577 : NM may stop limiting after several reboots are done during NM active limiting.
CCG0100259417 : CPU throttling statistics not equal to 0 when no CPU throttling. Issue appears when MN stops CPU throttling for the first time.
CCG0100259702 : When ME configured for operating in All Sx states IPMI Command "Send RAW PMBUS" sent in Sx state always responds with the completion code 0x81 (Command not serviced.).
CCG0100267109 : Overlimiting may appeare on platforms with JKT C1 processor
CCG0100268199 : Policy Limiting capability not available after few HOST resets
CCG0100271049 : Wrong calculation of NM statistics reporting period appeared when RTC register data not initialized or corrupted..
CCG0100271068 : Unexpected transition to recovery during AC cycles.
CCG0100271274 : ME FW hangs when RTC register data not initialized or corrupted
CCG0100274241 : Sometimes the platform not booting when the Operation image is corrupted.
================================================================================
                Features Added/Removed in 02.01.05.062 release
================================================================================
NONE

================================================================================
			KNOWN ISSUES in 02.01.05.064 release
================================================================================

Same as 02.01.05.062 release

================================================================================
			Issues fixed in 02.01.05.064 release
================================================================================

Surprise Unlink Failure issue fixed

================================================================================
                Features Added/Removed in 02.01.05.064 release
================================================================================
NONE

================================================================================
			KNOWN ISSUES in 02.01.05.069 release
================================================================================

CCG0100164685 : On simulated memory throttling PECI register it was observed that Memory Throttling Statistics sensor reading value is update too late. Based on 250 ms sensor scanning interval sensor value should be updated after 6 seconds, actually it was updated later, up to 15 seconds.
CCG0100165265 : Too few steps in the ramp generated by SMART & CLST.
CCG0100217496 : No monitoring capability is reported in NM Capabilities sensor if temperature reading source is set to OEM command.
CCG0100218236 : PEC error is not reported for Send Raw PMBus commands of write/read word and block write/read type.
CCG0100218318 : NM Capabilities event is not sent after disabling then re-enabling scanning on its sensor.
CCG0100219598 : ME Power State Change notification is not sent after Set ME Power State command (M3 -> MOff).
CCG0100225163 : Very long, few minutes, wake up from S4 was observed on Rose City platform. ME configured in S0 Only power mode.
CCG0100225573 : Unstable limiting and Correction Time Exceeded event was sometimes observed for memory domain (id 2).
CCG0100235658 : In a system with more than 2 PSU the PSU discovery procedure is done every 3 seconds while it should be done every 10 seconds. Too much traffic is observed on PMBus
CCG0100239726 : Sporadically, after about 50 iterations of warm reset flows with ME configured for Always On power mode BIOS hangs just after it sends End of POST notification to ME. ME remains operational.
CCG0100239759 : PSU Proxy setting does not affect Send Raw PMBus commands. It was supposed to disable these commands.
CCG0100239855 : Sporadically, once for about 6000 warm resets BIOS hangs in an assertion.
CCG0100239885 : Throttling statistics in domain 0 and 1 are equal to 0, when power policy is active in domain 0.
CCG0100247538 : There is no ME Health Event when writing to flash is enabled after previous flash wear-out.
CCG0100249310 : Few percent power limit oscillations were observed when limiting in memory domain.
CCG0100249595 : Power limit oscillations were observed after adding 7 NM power limiting polices.
CCG0100249636 : P-state limit lock was observed two times in longevity tests of power limiting enable (policy create) and disable (policy destroy) cycles.
CCG0100250214 : If power threshold is defined in several NM polices and the power consumption exceeds the threshold the NM Alert Threshold Exceeded message is sent only for the first policy, not for all polices.


================================================================================
			Issues fixed in 02.01.05.069 release
================================================================================

CCG0100276618 : ME FW Health Event with Event Data 2 = 0 (Recovery GPIO forced) will be generated after IPMI command "Force ME Recovery" issuing.
CCG0100278202 : ME FW unexpectedly resets when SMLink clock held low for a long period of time.
CCG0100278920 : Sometimes system stops responding after Power Cycle.

================================================================================
                Features Added/Removed in 02.01.05.069 release
================================================================================
NONE


================================================================================
			KNOWN ISSUES in 02.01.05.091 release
================================================================================

================================================================================
			Issues fixed in 02.01.05.091 release
================================================================================
CCG0100294018 : Additional AC cycle is required when changing Upgrade ROM 
device to another one of different SKU. 
================================================================================
                Features Added/Removed in 02.01.05.091 release
================================================================================
NONE


================================================================================
			KNOWN ISSUES in 02.01.05.107 release
================================================================================
CCG0100164685 : On simulated memory throttling PECI register it was observed that Memory Throttling Statistics sensor reading value is update too late. Based on 250 ms sensor scanning interval sensor value should be updated after 6 seconds, actually it was updated later, up to 15 seconds.
CCG0100165265 : Too few steps in the ramp generated by SMART & CLST.
CCG0100217496 : No monitoring capability is reported in NM Capabilities sensor if temperature reading source is set to OEM command.
CCG0100218236 : PEC error is not reported for Send Raw PMBus commands of write/read word and block write/read type.
CCG0100218318 : NM Capabilities event is not sent after disabling then re-enabling scanning on its sensor.
CCG0100219598 : ME Power State Change notification is not sent after Set ME Power State command (M3 -> MOff).
CCG0100225163 : Very long, few minutes, wake up from S4 was observed on Rose City platform. ME configured in S0 Only power mode.
CCG0100225573 : Unstable limiting and Correction Time Exceeded event was sometimes observed for memory domain (id 2).
CCG0100235658 : In a system with more than 2 PSU the PSU discovery procedure is done every 3 seconds while it should be done every 10 seconds. Too much traffic is observed on PMBus
CCG0100239726 : Sporadically, after about 50 iterations of warm reset flows with ME configured for Always On power mode BIOS hangs just after it sends End of POST notification to ME. ME remains operational.
CCG0100239759 : PSU Proxy setting does not affect Send Raw PMBus commands. It was supposed to disable these commands.
CCG0100239855 : Sporadically, once for about 6000 warm resets BIOS hangs in an assertion.
CCG0100239885 : Throttling statistics in domain 0 and 1 are equal to 0, when power policy is active in domain 0.
CCG0100247538 : There is no ME Health Event when writing to flash is enabled after previous flash wear-out.
CCG0100249310 : Few percent power limit oscillations were observed when limiting in memory domain.
CCG0100249595 : Power limit oscillations were observed after adding 7 NM power limiting polices.
CCG0100249636 : P-state limit lock was observed two times in longevity tests of power limiting enable (policy create) and disable (policy destroy) cycles.
CCG0100250214 : If power threshold is defined in several NM polices and the power consumption exceeds the threshold the NM Alert Threshold Exceeded message is sent only for the first policy, not for all polices.
CCG0100294018 : Additional AC cycle is required when changing Upgrade ROM device to another one of different SKU
CCG0100319242 : Shutdown action can be interrupted by cold reset when volatile policies are used 
CCG0100310016 : There is no ME FW Health Event (Event Data 2 = 5: BMC did not respond to cold reset request and ME rebooted the platform) generated after shutdown caused by policy with shutdown action.
CCG0100259921 : Unstable power limiting on platform with 4 CPU after S0->S5->G3->S0 power flow (almost 5% oscillations were observed).
  
================================================================================
			Issues fixed in 02.01.05.107 release
================================================================================
CCG0100344279 : FW may hang in initialization state after the update of entire ME region is interrupted by AC loss. None of the available ME resets
(AC cycle or Global Reset or Power Button Override) can get ME out of the error condition, only reflashing ME image. 

CCG0100344304 : FW may become unresponsive after switching from Recovery to Operational (e.g. during Direct Update). Global Reset or Power Button Override can’t get ME out of the error condition. 

================================================================================
                Features Added/Removed in 02.01.05.107 release
================================================================================

================================================================================
			KNOWN ISSUES in 02.01.07.112 release
================================================================================

  
================================================================================
			Issues fixed in 02.01.07.112 release
================================================================================
CCG0100193285/CCG0100193278 : ME may fail to perform reset initiated with IPMI command (02h Cold Reset or DFh Force ME Recovery) ?observed after few hundreds of successful resets. Following sequence happens when repeating 02h Cold Reset: - CC 00h - command is accepted, but ME reset is not performed, - CC CFh ?command rejected, - CC C0h ?command rejected, repeated for all subsequent retries.

CCG0100599677 : CPU Memory Throttling Status Sensor gets latched in "upper non recoverable" state following Memory Throttling event after G3. 

================================================================================
			KNOWN ISSUES in 02.01.07.129 release
================================================================================

  
================================================================================
			Issues fixed in 02.01.07.129 release
================================================================================
CCG0100193054: CPU Memory Throttling Status Sensor is latched in "upper non recoverable" state following Memory Throttling event 
CCG0100613047: Configuring NM XML file for LM25066I Hot Swap Controller makes SPS FW to go to Recovery mode. 
CCG0100610838: FITc - enabling "Shared PSU" option requires "PSU Optimization" option to be enabled
CCG0100612520: After few minutes of operation DCA stops to work.
CCG0100608714: Raw IPMI master write-read command of SMBus address 0xC2 failing
CCG0100319378: Monitoring two HSC does not work

================================================================================
			KNOWN ISSUES in 02.01.07.231 release
================================================================================
CCG0100164685:On simulated memory throttling PECI register it was observed that Memory Throttling Statistics sensor 
reading value is update too late. Based on 250 ms sensor scanning interval sensor value should be updated after 6 seconds, actually it was updated later, up to 15 seconds

CCG0100165265:Too few steps in the ramp generated by SMART & CLST.

CCG0100217496 and CCG0100225505:No monitoring capability is reported in NM Capabilities sensor if temperature reading source is set to OEM command.

CCG0100218236:PEC error is not reported for Send Raw PMBus commands of write/read word and block write/read type.

CCG0100244381 CCG0100239967 CCG0100257260 CCG0100225573 CCG0100236063 CCG0100239875 CCG0100239959:Unstable limiting and Correction Time Exceeded event was sometimes observed for memory domain.

CCG0100235658:In a system with more than 2 PSU the PSU discovery procedure is done every 1 second while it should be done every 10 seconds. Too much traffic is observed on PMBus.

CCG0100257260 CCG0100249310:Few percent power limit oscillations were observed when limiting in memory domain.

CCG0100249636:P-state limit lock was observed two times in longevity tests of power limiting enable (policy create) and disable (policy destroy) cycles.

CCG0100250214:If power threshold is defined in several NM polices and the power consumption exceeds the threshold the NM Alert Threshold Exceeded message is sent only for the first policy, not for all polices.

CCG0100319242:Shutdown action can be interrupted by cold reset when volatile policies are used.

CCG0100310016:There is no ME FW Health Event (Event Data 2 = 5: BMC did not respond to cold reset request and ME rebooted the platform) generated after shutdown caused by policy with shutdown action.

CCG0100259776:Operational S0/S1 Only unblocks "Set Reset Mode" HECI command after ME reset.

CCG0100254009:There is an additional global reset after the global reset caused by CPU_PWROK (or PCH_PWROK) dropdown.

CCG0100250417:Sporadically platform hang was observed during G3->S0 power flow with manufacturing jumper asserted.

CCG0100115878:The default reading type should be 6F instead of 03 for thermal trip sensor.

CCG0100150696 CCG0100232292:MEInfo does not work correctly when regular HECI driver is installed.

CCG0100175594:Keep-PHY-up setting doesn't work with Powerville Ethernet Controller on some boards.

CCG0100176163:SOL: Command parameters 2,3,4 require Set In Progress to be enabled to change values.

CCG0100176169 CCG0100280053:The BIOS is stuck at POST code 00 after applying some Linux patches to the kernel.
 
CCG0100238992:BIOS does not start if FSC domains are removed from the ME configuration.

CCG0100247178:Lack of disk space is not reported by SEL save and SEL writeraw DCMITool options.

CCG0100271689:After setting Sel Time to invalid 0xFFFFFFFF there is no SEL event logged concerning the loss of time synch with RTC.

CCG0100182858:ME returning inconsistent data during SMBIOS table loading (back-to-back HECI cmds).

CCG0100306228:Hibernation fails with Linux console redirected to SOL port.

CCG0100306217:Get ACPI Power State reports S5 state after hibernation.

CCG0100189090:SEL entries with ME FW Health Events were observed sporadically on a few deployed platforms working for several months.

CCG0100627377:Online Update using FwUpdateTool fails during verification of updated image (before switching to it) ¨C FwUpdateTool timeout expires. Image is written properly, but there is no way to switch to it.

CCG0100614074:BIOS does not boot when ME is in Recovery mode. Observed with B1 stepping of IVT, but not with A1. This affects boot from G3 (Always On configuration) and any Sx exit (S0/S1 configuration).

CCG0100194581:Sporadically there are incorrect (shifted by few hours) timestamps in the SEL log for HSC events after AC cycle.

CCG0100195491:Sporadically SEL log may become corrupted during host warm reset.

CCG0100195231:PHY Reset OEM commands do not work over In-Band interface (HECI-1) returning 0xD3 Completion Code (Destination Unavailable).


================================================================================
			Issues fixed in 02.01.07.231 release
================================================================================

CCG0100656249 Improper ME FW Health Event is sent when ME is reset to factory defaults with IPMI command Force ME Recovery

CCG0100239885 Throttling statistics in domain 0 and 1 are equal to 0, when power policy is active in domain 0

CCG0100249595 Power limit oscillations were observed after adding 7 NM power limiting policies

CCG0100194266 The P0 DIMM Temp reports "no reading" after an AC cycle test

CCG0100218318 CCG0100238924 NM Capabilities event is not sent after disabling then re-enabling scanning on its sensor

CCG0100219598 ME Power State Change notification is not sent after Set ME Power State command (M3 -> MOff)

================================================================================
			Issues fixed in 02.01.07.328 release
================================================================================
CCG0100683586 Platform is not able to power on properly after being shut down by NM Policy

CCG0100196693 Global platform power consumption reported by NM Statistics in S5 is incorrect

CCG0100195785 OOB (out-of-band) stress test by issuing the wrong username may cause connection to be unavailable

CCG0100319242 Shutdown action can be interrupted by cold reset when volatile NM policy is in use


[END OF RELEASE NOTES]